Subject: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Gregory Heytings <[email-masked]>
Date: Wed, 09 Nov 2022 14:47:34 +0000

>> With
>>
>> (set-face-attribute 'default nil :height (- (face-attribute 'default :height) 6))
>>
>> the font size is decreased.  If I evaluate it more than once, the font 
>> size decreases more with each additional invocation.
>
> But it actually decreases by 10, right? (and similarly for increases)
>

That might be what it does on macOS, but it's not what it does on 
GNU/Linux.  With my configuration the successive values are 109, 105, 102, 
98, 94, 90, 87, 83, ... or with 6 instead of 5: 109, 102, 98, 90, 83, ...

So it seems that after all simply remplacing 5 by 6 isn't optimal.

Is this bug specific to the most recent version of macOS?